All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::ocl::DOUBLE_PRECISION_CHECKER< ScalarType > Struct Template Reference

Ensures that double precision types are only allocated if it is supported by the device. If double precision is requested for a device not capable of providing that, a double_precision_not_provided_error is thrown. More...

`#include <utils.hpp>`

## Static Public Member Functions

static void | apply (viennacl::ocl::context const &)

## Detailed Description

### template<typename ScalarType>
struct viennacl::ocl::DOUBLE_PRECISION_CHECKER< ScalarType >

Ensures that double precision types are only allocated if it is supported by the device. If double precision is requested for a device not capable of providing that, a double_precision_not_provided_error is thrown.

Definition at line 38 of file utils.hpp.

## Member Function Documentation

template<typename ScalarType >

static void viennacl::ocl::DOUBLE_PRECISION_CHECKER< ScalarType >::apply | ( | viennacl::ocl::context const & |  | ) |

inline static

Definition at line 40 of file utils.hpp.

The documentation for this struct was generated from the following file:

- viennacl/ocl/utils.hpp